> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/tokenization/remove-layerzero-adapters",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Remove LayerZero adapters

> Remove LayerZero adapters by deactivating and unlinking them. This endpoint revokes roles and deactivates the specified adapter contracts.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml delete /tokenization/multichain/bridge/layerzero
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /tokenization/multichain/bridge/layerzero:
    delete:
      tags:
        - Tokenization
      summary: Remove LayerZero adapters
      description: >-
        Remove LayerZero adapters by deactivating and unlinking them. This
        endpoint revokes roles and deactivates the specified adapter contracts.
      operationId: deactivateAndUnlinkAdapters
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RemoveLayerZeroAdaptersRequest'
      responses:
        '200':
          description: LayerZero adapters removal process completed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RemoveLayerZeroAdaptersResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
        '404':
          $ref: '#/components/responses/OriginalTokenLinkNotFoundError'
        '409':
          $ref: '#/components/responses/TokenLinkProcessingError'
        '500':
          $ref: '#/components/responses/InternalServerError'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<RemoveLayerZeroAdaptersResponse>> =
            fireblocks.tokenization.deactivateAndUnlinkAdapters(tokenizationApiDeactivateAndUnlinkAdaptersRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<RemoveLayerZeroAdaptersResponse>>
            response =
            fireblocks.tokenization().deactivateAndUnlinkAdapters(removeLayerZeroAdaptersRequest,
            idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.tokenization.deactivate_and_unlink_adapters(remove_layer_zero_adapters_request,
            idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    RemoveLayerZeroAdaptersRequest:
      type: object
      properties:
        vaultAccountId:
          type: string
          description: >-
            The vault account ID to use for signing the role revocation
            transactions.
          example: '1'
        adapterTokenLinkIds:
          type: array
          items:
            type: string
            format: uuid
          description: A list of adapter token link IDs to be deactivated and unlinked.
          example:
            - d290f1ee-6c54-4b01-90e6-d701748f0851
            - e290f1ee-6c54-4b01-90e6-d701748f0852
          minItems: 1
      required:
        - vaultAccountId
        - adapterTokenLinkIds
    RemoveLayerZeroAdaptersResponse:
      type: object
      properties:
        deactivated:
          type: array
          items:
            type: string
          description: List of successfully deactivated adapter token link IDs
        failed:
          type: array
          items:
            $ref: '#/components/schemas/RemoveLayerZeroAdapterFailedResult'
          description: List of adapter token link IDs that failed to be removed
      required:
        - deactivated
        - failed
    RemoveLayerZeroAdapterFailedResult:
      type: object
      properties:
        adapterTokenLinkId:
          type: string
          description: The adapter token link ID that failed to be removed
      required:
        - adapterTokenLinkId
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - INTERNAL
                - AUTHENTICATION
                - AUTHORIZATION
                - VALIDATION
                - NOT_FOUND
                - UNPROCESSABLE_ENTITY
                - FORBIDDEN
            message:
              type: string
          required:
            - type
            - message
      required:
        - error
  responses:
    BadRequestError:
      description: Bad request, invalid input data or parameters
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              type: VALIDATION
              message: Invalid input data or parameters
    OriginalTokenLinkNotFoundError:
      description: Token link not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              type: NOT_FOUND
              message: The specified token link was not found
    TokenLinkProcessingError:
      description: Token link processing error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              type: UNPROCESSABLE_ENTITY
              message: An error occurred during token link processing
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              type: INTERNAL
              message: >-
                An unexpected error occurred during execution. Please try again
                later.

````